// Shark.java

import ch.aplu.jgamegrid.*;

public class Shark extends Actor
{
  private Fish nemo;

  public Shark(Fish nemo)
  {
    super(true, "sprites/shark.gif");
    this.nemo = nemo;
  }

  public void act()
  {
    if (nbCycles % 5 == 0 && !nemo.isRemoved())
    {
      setDirection(getLocation().getCompassDirectionTo(nemo.getLocation()));
      move();
    }
    Actor aNemo = gameGrid.getOneActorAt(getLocation(), Fish.class);
    if (aNemo != null)
      aNemo.removeSelf();
  }
}
